MANPATH(1)

NOMBRE
manpath - establece ruta de búsqueda para páginas del manual

SINOPSIS
manpath [-qgdc?V] [-m sistema[,...]] [-C fichero]

DESCRIPCIÓN
Si se activa $MANPATH, manpath simplificará la vista de sus contendos y efectuará una advertencia. Si no, manpath determinará una jerarquía de página del manual buscando rutas y enseñará los resultados. La ruta de color delimitado está determinado utilizando información obtenida desde el fichero configurable man-db - (/etc/man_db.conf) y el entorno del usuario.

OPCIONES

-q, --quiet
    No emitir advertencias.

-d, --debug
    Muestra información depurativa.

-c, --catpath
    Produce una ruta concatenada como oposición a una ruta man. Una vez la ruta man es determnada, cada elemento de ruta es convertido a su ruta concatenada relativa.

-g, --global
    Produce una ruta manpath consistente de todas las rutas nombradas como `global' dentro del fichero configurable man-db.

-m sistema[,...], --systems=sistema[,...]
    Si este sistema ha accedido a otra jerarquía del manual del sistema operativo, esta opcion puede ser empleada para incluirlas dentro de la salida del manpath. Para incluir la página del manual SOnuevo utilice la opción -m SOnuevo. El sistema especificado puede ser una combinación de coma delimitada de nombres del SO. Para incluir la página jerárquica del manual del SO nativo, el nombre del sistema man debe ser incluido dentro de la cadena de argumento. Esta opción sobrescribirá la variable del entorno del $SISTEMA.

-C fichero, --config-file=fichero
    Utilice este fichero de configuracion de usuario mejor que el predeterminado de ~/.manpath.

-?, --help
    Escribe un mensaje de ayuda y termina.

--usage
    Escribe mensaje breve sobre uso del programa y termina.

-V, --version
    Enseña la versión de información.

ENTORNO

MANPATH
    Si está establecido $MANPATH, $manpath enseña por pantalla su valor en vez de determinarlo en ejeción. Si $MANPATH está prefijado por dos puntos, esntonces el valor de la variable es agragado a la lista determinada desde el contenido de los ficheros de configuración. Si los dos putnos vienen el final del valor en la variable, entonce la determinada lista es agragada al contenido de la variable. Si el valor de la variable contiene un dos puntos doble (::), entonces la lista determinada es insertada dentro de la mitad del valor, entre el par de los dos puntos.

SYSTEM
    Si se establece $SYSTEM, tendrá el mismo efecto que si tuvo que ser especificado como el argumento a la opción -m.

FICHEROS

/etc/man_db.conf
    configuración de fichero man-db.

VEA ADEMÁS
apropos(1), man(1), whatis(1)

AUTOR
Wilf. (G.Wilford@ee.surrey.ac.uk).
Fabrizio Polacco (fpolacco@debian.org).
Colin Watson (cjwatson@debian.org).